%{?nodejs_find_provides_and_requires}

%global packagename cron
%global enable_tests 1

Name:		nodejs-cron
Version:	1.3.0
Release:	1%{?dist}
Summary:	Cron jobs for your node

License:	MIT
URL:		https://github.com/kelektiv/node-cron
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

# Upstream license file requested at https://github.com/kelektiv/node-cron/issues/284
Source11:	LICENSE-MIT

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(moment-timezone)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(sinon)
%endif

%description
Cron jobs for your node


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
cp -p %{SOURCE11} LICENSE

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec tests/*.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Oct 01 2017 Jared Smith <jsmith@fedoraproject.org> - 1.3.0-1
- Update to upstream 1.3.0 release

* Thu Apr 13 2017 Jared Smith <jsmith@fedoraproject.org> - 1.2.1-1
- Initial packaging
